import MetalKit

class Cylinder: Model {
    init(height: Float, name: String, color: float3) {
        let radii =  vector_float2(x: 1, y: 1)
        let mdlMesh = MDLMesh.newBox(withDimensions: float3(1, 1, 1), segments: vector_uint3(1, 1, 1), geometryType: .triangles, inwardNormals: false, allocator: MTKMeshBufferAllocator(device: Renderer.device))
//        let mdlMesh = MDLMesh.newIcosahedron(withRadius: 1, inwardNormals: false, geometryType: .triangles, allocator: MTKMeshBufferAllocator(device: Renderer.device))
        super.init(device: Renderer.device, mesh: mdlMesh, color: color, name: name)
    }
}
